"""Add router modification workflow for kentik licenses.

Revision ID: 87a05eddee3e
Revises: 844aa61c09ce
Create Date: 2024-08-02 15:09:42.597063

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = '87a05eddee3e'
down_revision = '844aa61c09ce'
branch_labels = None
depends_on = None


from orchestrator.migrations.helpers import create_workflow, delete_workflow

new_workflows = [
    {
        "name": "modify_router_kentik_license",
        "target": "MODIFY",
        "description": "Modify Kentik license",
        "product_type": "Router"
    }
]


def upgrade() -> None:
    conn = op.get_bind()
    for workflow in new_workflows:
        create_workflow(conn, workflow)


def downgrade() -> None:
    conn = op.get_bind()
    for workflow in new_workflows:
        delete_workflow(conn, workflow["name"])
